package org.glassfish.devtest.pooling.monitor.client.utils;

public class Constants {
    public static String MONITORING_URL = "http://localhost:4848/monitoring/domain/server/resources/";
    public static String MANAGEMENT_URL = "http://localhost:4848/management/domain/resources/jdbc-connection-pool/";

    public static String EXTRA_PROPERTIES = "extraProperties";
    public static String ENTITY = "entity";
    public static String COUNT = "count";
    public static String HIGHWATERMARK = "highwatermark";
    public static String CURRENT = "current";
    public static String LOWWATERMARK = "lowwatermark";

    //monitor
    public static String NUMCONNUSED = "numconnused";
    public static String NUMCONNFREE = "numconnfree";
    public static String NUMCONNCREATED = "numconncreated";
    public static String NUMCONNDESTROYED = "numconndestroyed";
    public static String NUMCONNFAILEDVALIDATION = "numconnfailedvalidation";
    public static String NUMCONNTIMEDOUT = "numconntimedout";
    public static String NUMCONNACQUIRED = "numconnacquired";
    public static String NUMCONNRELEASED = "numconnreleased";
    public static String CONREQUESTWAITTIME = "conrequestwaittime";
    public static String NUMCONNSUCCESSFULLYMATCHED = "numconnsuccessfullymatched";
    public static String NUMCONNNOTSUCCESSFULLYMATCHED = "numconnnotsuccessfullymatched";
    public static String NUMCONNPOTENTIALCONNLEAK = "numpotentialconnleak";
    public static String AVERAGECONNWAITTIME = "averageconnwaittime";
    public static String TOTALCONNREQUESTWAITTIME = "totalconnrequestwaittime";
    public static String WAITQUEUELENGTH = "waitqueuelength";

    //connection pool param
    public static String NAME = "name";
    public static String POOLING = "pooling";
    public static String STEADY_POOL_SIZE = "steadyPoolSize";
    public static String MAX_POOL_SIZE = "maxPoolSize";
    public static String POOL_RESIZE_QUANTITY = "poolResizeQuantity";
    public static String IDLE_TIMEOUT_IN_SECONDS = "idleTimeoutInSeconds";
    public static String CONNECTION_LEAK_RECLAIM = "connectionLeakReclaim";
    public static String CONNECTION_LEAK_TIMEOUT_IN_SECONDS = "connectionLeakTimeoutInSeconds";

    public static String DEBUG = "debug";
}
