package org.glassfish.devtest.pooling.monitor.ejb;

import java.rmi.RemoteException;
import javax.ejb.Remote;

@Remote
public interface SimpleSessionBeanRemote {
    public void getConnection() throws RemoteException;
    public void close(int index) throws RemoteException;
    public void markConnectionAsBad(int index) throws RemoteException;
    public void ejbRemove();
    public void beginForUT() throws RemoteException;
    public void commitForUT() throws RemoteException;
    public void rollbackForUT() throws RemoteException;
    public void commitForConnection(int index) throws RemoteException;
    public void rollbackForConnection(int index) throws RemoteException;
    public boolean isSharedConnections() throws RemoteException;
}
